

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>TISCI General Message API Documentation &mdash; TISCI User Guide</title>
  

  
  
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="../../_static/theme_overrides.css" type="text/css" />
  

  
        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="TISCI User Guide" href="../../index.html"/>
        <link rel="up" title="Chapter 2: TISCI Message Documentation" href="../index.html"/>
        <link rel="next" title="Boot Mode Fuse Writer TISCI Description" href="boot_mode_writer.html"/>
        <link rel="prev" title="Texas Instruments System Controller Interface (TISCI)" href="TISCI_header.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">
  <header id="tiHeader">
    <div class="top">
      <ul>
        <li id="top_logo">
          <a href="http://www.ti.com">
            <img src="../../_static/img/ti_logo.png"/>
          </a>
        </li>
      </ul>
    </div>
    <div class="nav"></div>
  </header>
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> TISCI
          

          
          </a>

          
            
            
              <div class="version">
                11.00.04
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../1_intro/index.html">Chapter 1: Introduction</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Chapter 2: TISCI Message Documentation</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="TISCI_header.html">Texas Instruments System Controller Interface (TISCI)</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="../index.html#general">General</a><ul class="current">
<li class="toctree-l3 current"><a class="current reference internal" href="#">TISCI General Message API Documentation</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#tisci-msg-version">TISCI_MSG_VERSION</a></li>
<li class="toctree-l4"><a class="reference internal" href="#tisci-msg-boot-notification">TISCI_MSG_BOOT_NOTIFICATION</a></li>
<li class="toctree-l4"><a class="reference internal" href="#tisci-msg-board-config">TISCI_MSG_BOARD_CONFIG</a></li>
<li class="toctree-l4"><a class="reference internal" href="#tisci-msg-board-config-rm">TISCI_MSG_BOARD_CONFIG_RM</a></li>
<li class="toctree-l4"><a class="reference internal" href="#tisci-msg-board-config-security">TISCI_MSG_BOARD_CONFIG_SECURITY</a></li>
<li class="toctree-l4"><a class="reference internal" href="#tisci-msg-board-config-pm">TISCI_MSG_BOARD_CONFIG_PM</a></li>
<li class="toctree-l4"><a class="reference internal" href="#tisci-msg-query-msmc">TISCI_MSG_QUERY_MSMC</a></li>
<li class="toctree-l4"><a class="reference internal" href="#tisci-msg-get-trace-config">TISCI_MSG_GET_TRACE_CONFIG</a></li>
<li class="toctree-l4"><a class="reference internal" href="#tisci-msg-query-fw-caps">TISCI_MSG_QUERY_FW_CAPS</a></li>
<li class="toctree-l4"><a class="reference internal" href="#tisci-msg-dm-version">TISCI_MSG_DM_VERSION</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="boot_mode_writer.html">Boot Mode Fuse Writer TISCI Description</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#power-management-pm">Power Management (PM)</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#resource-management-rm">Resource Management (RM)</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#secure-management">Secure Management</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../3_boardcfg/index.html">Chapter 3: Board Configuration</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../4_trace/index.html">Chapter 4: Interpreting Trace Data</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../5_soc_doc/index.html">Chapter 5: SoC Family Specific Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../6_topic_user_guides/index.html">Chapter 6: Topic User Guides</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../../index.html">TISCI</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../../index.html">Docs</a> &raquo;</li>
      
          <li><a href="../index.html">Chapter 2: TISCI Message Documentation</a> &raquo;</li>
      
    <li>TISCI General Message API Documentation</li>
      <li class="wy-breadcrumbs-aside">
        
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="tisci-general-message-api-documentation">
<h1>TISCI General Message API Documentation<a class="headerlink" href="#tisci-general-message-api-documentation" title="Permalink to this headline">¶</a></h1>
<p>This document describes the TISCI API set for general messages such as those
to fetch the firmware version in use, send usecase specific configuration, and
get notified of the boot state of system-firmware.</p>
<div class="section" id="tisci-msg-version">
<h2>TISCI_MSG_VERSION<a class="headerlink" href="#tisci-msg-version" title="Permalink to this headline">¶</a></h2>
<div class="section" id="objective">
<h3>Objective<a class="headerlink" href="#objective" title="Permalink to this headline">¶</a></h3>
<p>Retrieve the version of the currently running system-firmware.</p>
</div>
<div class="section" id="usage">
<h3>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h3>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Normal</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>No</td>
</tr>
</tbody>
</table>
<p>This retrieves several pieces of information about the version of
system-firmware that is loaded and running.</p>
</div>
<div class="section" id="tisci-message-id">
<h3>TISCI Message ID<a class="headerlink" href="#tisci-message-id" title="Permalink to this headline">¶</a></h3>
<p><code class="docutils literal"><span class="pre">TISCI_MSG_VERSION</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x0002U)</span></code></p>
</div>
<div class="section" id="message-data-structures">
<h3>Message Data Structures<a class="headerlink" href="#message-data-structures" title="Permalink to this headline">¶</a></h3>
<p><p><strong>struct tisci_msg_version_req</strong></p>
<p>Notification message to indicate the DMSC is available.</p>
<table border="1" class="docutils">
<colgroup>
<col width="27%" />
<col width="43%" />
<col width="31%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>TISCI header</td>
</tr>
</tbody>
</table>
<p>Although this message is essentially empty and contains only a header
 a full data structure is created for consistency in implementation.</p>
</p>
<p><p><strong>struct tisci_msg_version_resp</strong></p>
<p>TISCI_MSG_VERSION request to provide version info about currently running firmware.</p>
<table border="1" class="docutils">
<colgroup>
<col width="18%" />
<col width="25%" />
<col width="58%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>TISCI header.</td>
</tr>
<tr class="row-odd"><td>str</td>
<td>char</td>
<td>Human readable version string.</td>
</tr>
<tr class="row-even"><td>version</td>
<td>u16</td>
<td>Version number of the firmware.</td>
</tr>
<tr class="row-odd"><td>abi_major</td>
<td>u8</td>
<td>Major version number of ABI in use by firmware.</td>
</tr>
<tr class="row-even"><td>abi_minor</td>
<td>u8</td>
<td>Minor version number of ABI in use by firmware.</td>
</tr>
<tr class="row-odd"><td>sub_version</td>
<td>u8</td>
<td>Sub-version number of the firmware.</td>
</tr>
<tr class="row-even"><td>patch_version</td>
<td>u8</td>
<td>Patch-version number of the firmware.</td>
</tr>
</tbody>
</table>
</p>
</div>
</div>
<div class="section" id="tisci-msg-boot-notification">
<h2>TISCI_MSG_BOOT_NOTIFICATION<a class="headerlink" href="#tisci-msg-boot-notification" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id1">
<h3>Objective<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h3>
<p>Notify the system boot host that the system-firmware is ready
to begin receiving and processing TISCI messages.</p>
</div>
<div class="section" id="id2">
<h3>Usage<a class="headerlink" href="#id2" title="Permalink to this headline">¶</a></h3>
<table border="1" class="docutils">
<colgroup>
<col width="63%" />
<col width="37%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Notification</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>Yes</td>
</tr>
</tbody>
</table>
<p>This is a system-firmware initiated notification message that is
sent to the boot core of the system to notify system-firmware is
ready to receive TISCI messages. Up until this point, no interaction
is possible with system firmware.</p>
</div>
<div class="section" id="id3">
<h3>TISCI Message ID<a class="headerlink" href="#id3" title="Permalink to this headline">¶</a></h3>
<p><code class="docutils literal"><span class="pre">TISCI_MSG_BOOT_NOTIFICATION</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x000AU)</span></code></p>
</div>
<div class="section" id="id4">
<h3>Message Data Structures<a class="headerlink" href="#id4" title="Permalink to this headline">¶</a></h3>
<p><p><strong>struct tisci_msg_boot_notification_req</strong></p>
<p>Notification message to indicate the DMSC is available.</p>
<table border="1" class="docutils">
<colgroup>
<col width="16%" />
<col width="21%" />
<col width="62%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>TISCI header</td>
</tr>
<tr class="row-odd"><td>extboot_status</td>
<td>u32</td>
<td>Status of extended boot. Applicable only for combined image</td>
</tr>
</tbody>
</table>
</p>
<p><p><strong>struct tisci_msg_boot_notification_resp</strong></p>
<p>Response to notification message about firmware availability.</p>
<table border="1" class="docutils">
<colgroup>
<col width="27%" />
<col width="43%" />
<col width="31%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>TISCI header</td>
</tr>
</tbody>
</table>
<p>Although this message is essentially empty and contains only a header
 a full data structure is created for consistency in implementation.</p>
</p>
</div>
</div>
<div class="section" id="tisci-msg-board-config">
<h2>TISCI_MSG_BOARD_CONFIG<a class="headerlink" href="#tisci-msg-board-config" title="Permalink to this headline">¶</a></h2>
<p>See <a class="reference internal" href="../../3_boardcfg/BOARDCFG.html#pub-boardcfg-tisci"><span class="std std-ref">TISCI API for Board Config</span></a>.</p>
</div>
<div class="section" id="tisci-msg-board-config-rm">
<h2>TISCI_MSG_BOARD_CONFIG_RM<a class="headerlink" href="#tisci-msg-board-config-rm" title="Permalink to this headline">¶</a></h2>
<p>See <a class="reference internal" href="../../3_boardcfg/BOARDCFG_RM.html#pub-boardcfg-rm-tisci"><span class="std std-ref">TISCI API for Resource Management Board Config</span></a>.</p>
</div>
<div class="section" id="tisci-msg-board-config-security">
<h2>TISCI_MSG_BOARD_CONFIG_SECURITY<a class="headerlink" href="#tisci-msg-board-config-security" title="Permalink to this headline">¶</a></h2>
<p>See <a class="reference internal" href="../../3_boardcfg/BOARDCFG_SEC.html#pub-boardcfg-security-tisci"><span class="std std-ref">TISCI API for Security Board Config</span></a>.</p>
</div>
<div class="section" id="tisci-msg-board-config-pm">
<h2>TISCI_MSG_BOARD_CONFIG_PM<a class="headerlink" href="#tisci-msg-board-config-pm" title="Permalink to this headline">¶</a></h2>
<p>See <a class="reference internal" href="../../3_boardcfg/BOARDCFG_PM.html#pub-boardcfg-pm-tisci"><span class="std std-ref">TISCI API for Power Management Board Config</span></a>.</p>
</div>
<div class="section" id="tisci-msg-query-msmc">
<h2>TISCI_MSG_QUERY_MSMC<a class="headerlink" href="#tisci-msg-query-msmc" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id5">
<h3>Objective<a class="headerlink" href="#id5" title="Permalink to this headline">¶</a></h3>
<p>Retrieve the MSMC memory available.</p>
</div>
<div class="section" id="id6">
<h3>Usage<a class="headerlink" href="#id6" title="Permalink to this headline">¶</a></h3>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Normal</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>No</td>
</tr>
</tbody>
</table>
<p>This API is enabled ONLY on SoCs that actually have MSMC memory. This
retrieves valid start and end address of MSMC memory considering size
of allocation for cache backing RAM and MSMC shared usage by System
Firmware.</p>
<p>This API is linked with the parameter provided in
<a class="reference internal" href="../../3_boardcfg/BOARDCFG.html#pub-boardcfg-msmc"><span class="std std-ref">Design for boardcfg_msmc</span></a>. The parameter <strong>msmc_cache_size</strong> is a value
ranging from <code class="docutils literal"><span class="pre">0x00</span></code> to <code class="docutils literal"><span class="pre">0x20</span></code> independent of SoC and configured
at system startup. This API is used by software components that start
functionality later in the boot sequence and intends to manage or use
the remaining SRAM contents.</p>
<p>To understand the relationship, let’s consider a SoC with actual
physical MSMC SRAM available to allocate as 2MB:</p>
<p><em>case A) Allocation of 1/2 SRAM(1MB) for L3 backing RAM</em></p>
<div class="figure">
<img alt="../../_images/msmc_alloc_strategy.png" src="../../_images/msmc_alloc_strategy.png" />
</div>
<p>In the above example, when the <strong>msmc_cache_size</strong> parameter is <code class="docutils literal"><span class="pre">0x10</span></code>,
1MB is reserved for backing ram by the SoC. Memory needed for
communication infrastructure is automatically relocated to the center
of MSMC SRAM.</p>
<p>The available MSMC SRAM for use by software queried via
TISCI_MSG_QUERY_MSMC will respond with: start = <code class="docutils literal"><span class="pre">0x0000000070000000</span></code>
and end = <code class="docutils literal"><span class="pre">0x00000000700EFFFF</span></code> (1MB-64K)</p>
<p><em>case B) Allocation of 0bytes SRAM for L3 backing RAM</em></p>
<div class="figure">
<img alt="../../_images/msmc_alloc_strategy_0cache.png" src="../../_images/msmc_alloc_strategy_0cache.png" />
</div>
<p>In the above example, when the <strong>msmc_cache_size</strong> parameter is <code class="docutils literal"><span class="pre">0x00</span></code>,
no memory is reserved for backing ram by the SoC. Memory needed for
communication infrastructure is automatically relocated to the far end
of MSMC SRAM.</p>
<p>The available MSMC SRAM for use by software queried via
TISCI_MSG_QUERY_MSMC will respond with: start = <code class="docutils literal"><span class="pre">0x0000000070000000</span></code>
and end = <code class="docutils literal"><span class="pre">0x00000000701EFFFF</span></code> (2MB-64K)</p>
<div class="admonition warning">
<p class="first admonition-title">Warning</p>
<p>It is important to keep the following in mind. Software
applications must always use this API to know the actual SRAM
memory available for use. This is extremely critical if the
software component providing (example: bootloader) does not have
means to communicate information to the component that actually
uses the SRAM.</p>
<p class="last">As a hardware behavior, a read from MSMC SRAM reserved for
backing L3 Cache will return 0x0 on a read, vs a write will cause
a data abort to that address. Meanwhile a read/write to the
memory reserved for communication memory will generate a firewall
exception.</p>
</div>
</div>
<div class="section" id="tisci-query-msmc">
<h3>TISCI query MSMC<a class="headerlink" href="#tisci-query-msmc" title="Permalink to this headline">¶</a></h3>
<p><code class="docutils literal"><span class="pre">TISCI_MSG_QUERY_MSMC</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x0020U)</span></code></p>
</div>
<div class="section" id="id7">
<h3>Message Data Structures<a class="headerlink" href="#id7" title="Permalink to this headline">¶</a></h3>
<p><p><strong>struct tisci_query_msmc_req</strong></p>
<p>TISCI_MSG_QUERY_MSMC request to provide currently available MSMC memory if present in the SoC</p>
<table border="1" class="docutils">
<colgroup>
<col width="27%" />
<col width="43%" />
<col width="31%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>TISCI header</td>
</tr>
</tbody>
</table>
<p>Although this message is essentially empty and contains only a header
 a full data structure is created for consistency in implementation.</p>
</p>
<p><p><strong>struct tisci_query_msmc_resp</strong></p>
<p>TISCI_MSG_QUERY_MSMC request response providing currently available MSMC memory if present in the SoC</p>
<table border="1" class="docutils">
<colgroup>
<col width="13%" />
<col width="16%" />
<col width="71%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>TISCI header.</td>
</tr>
<tr class="row-odd"><td>msmc_start_low</td>
<td>u32</td>
<td>Low 32-bits of physical address start of MSMC memory</td>
</tr>
<tr class="row-even"><td>msmc_start_high</td>
<td>u32</td>
<td>High 32-bits of physical address start of MSMC memory</td>
</tr>
<tr class="row-odd"><td>msmc_end_low</td>
<td>u32</td>
<td>Low 32-bits of physical addressable address (byte aligned) of valid range of MSMC memory.</td>
</tr>
<tr class="row-even"><td>msmc_end_high</td>
<td>u32</td>
<td>High 32-bits of physical addressable address (byte aligned) of valid range of MSMC memory.</td>
</tr>
</tbody>
</table>
</p>
</div>
</div>
<div class="section" id="tisci-msg-get-trace-config">
<h2>TISCI_MSG_GET_TRACE_CONFIG<a class="headerlink" href="#tisci-msg-get-trace-config" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id8">
<h3>Objective<a class="headerlink" href="#id8" title="Permalink to this headline">¶</a></h3>
<p>Retrieve debug trace configuration from TIFS.</p>
</div>
<div class="section" id="id9">
<h3>Usage<a class="headerlink" href="#id9" title="Permalink to this headline">¶</a></h3>
<div class="admonition note">
<p class="first admonition-title">Note</p>
<p class="last">DM firmware doesn’t have the information about debug trace configuration. DM uses this message to
query TIFS for debug trace configuration.</p>
</div>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Normal</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>No</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="id10">
<h3>TISCI Message ID<a class="headerlink" href="#id10" title="Permalink to this headline">¶</a></h3>
<p><code class="docutils literal"><span class="pre">TISCI_MSG_GET_TRACE_CONFIG</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x0021U)</span></code></p>
</div>
<div class="section" id="id11">
<h3>Message Data Structures<a class="headerlink" href="#id11" title="Permalink to this headline">¶</a></h3>
<p><p><strong>struct tisci_get_trace_config_req</strong></p>
<p>TISCI_MSG_GET_TRACE_CONFIG request to get the debug trace config from base board config</p>
<table border="1" class="docutils">
<colgroup>
<col width="27%" />
<col width="43%" />
<col width="31%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>TISCI header</td>
</tr>
</tbody>
</table>
<p>Although this message is essentially empty and contains only a header
 a full data structure is created for consistency in implementation.</p>
</p>
<p><p><strong>struct tisci_get_trace_config_resp</strong></p>
<p>TISCI_MSG_GET_TRACE_CONFIG request response providing the debug config from base board config</p>
<table border="1" class="docutils">
<colgroup>
<col width="28%" />
<col width="31%" />
<col width="41%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>TISCI header.</td>
</tr>
<tr class="row-odd"><td>trace_dst_enables</td>
<td>u16</td>
<td>enabled destination traces</td>
</tr>
<tr class="row-even"><td>trace_src_enables</td>
<td>u16</td>
<td>enabled source traces</td>
</tr>
</tbody>
</table>
</p>
</div>
</div>
<div class="section" id="tisci-msg-query-fw-caps">
<h2>TISCI_MSG_QUERY_FW_CAPS<a class="headerlink" href="#tisci-msg-query-fw-caps" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id12">
<h3>Objective<a class="headerlink" href="#id12" title="Permalink to this headline">¶</a></h3>
<p>Retrieve the firmware capabilities of the currently running system-firmware.</p>
</div>
<div class="section" id="id13">
<h3>Usage<a class="headerlink" href="#id13" title="Permalink to this headline">¶</a></h3>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Normal</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>No</td>
</tr>
</tbody>
</table>
<p>Each bit in the response indicating a certain functionality is present or not.</p>
<table border="1" class="docutils">
<colgroup>
<col width="64%" />
<col width="36%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Feature Present</th>
<th class="head">Representing Bit</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>Generic capability</td>
<td>0</td>
</tr>
<tr class="row-odd"><td>Deep sleep low power mode</td>
<td>1</td>
</tr>
<tr class="row-even"><td>MCU only low power mode</td>
<td>2</td>
</tr>
<tr class="row-odd"><td>Standby low power mode</td>
<td>3</td>
</tr>
<tr class="row-even"><td>Partial IO on low power mode</td>
<td>4</td>
</tr>
<tr class="row-odd"><td>DM Managed low power mode</td>
<td>5</td>
</tr>
<tr class="row-even"><td>IO Only Plus DDR low power mode</td>
<td>6</td>
</tr>
<tr class="row-odd"><td>IO Isolation capability</td>
<td>7</td>
</tr>
<tr class="row-even"><td>DM split mode</td>
<td>8</td>
</tr>
<tr class="row-odd"><td>Reserved</td>
<td>9-63</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="id14">
<h3>TISCI Message ID<a class="headerlink" href="#id14" title="Permalink to this headline">¶</a></h3>
<p><code class="docutils literal"><span class="pre">TISCI_MSG_QUERY_FW_CAPS</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x0022U)</span></code></p>
</div>
<div class="section" id="id15">
<h3>Message Data Structures<a class="headerlink" href="#id15" title="Permalink to this headline">¶</a></h3>
<p><p><strong>struct tisci_query_fw_caps_req</strong></p>
<p>TISCI_MSG_QUERY_FW_CAPS request to provide the firmware/SOC capabilities</p>
<table border="1" class="docutils">
<colgroup>
<col width="27%" />
<col width="43%" />
<col width="31%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>TISCI header</td>
</tr>
</tbody>
</table>
<p>Although this message is essentially empty and contains only a header
 a full data structure is created for consistency in implementation.</p>
</p>
<p><p><strong>struct tisci_query_fw_caps_resp</strong></p>
<p>TISCI_MSG_QUERY_FW_CAPS request response providing currently available SOC/firmware capabilities</p>
<table border="1" class="docutils">
<colgroup>
<col width="15%" />
<col width="24%" />
<col width="61%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>TISCI header.</td>
</tr>
<tr class="row-odd"><td>fw_caps</td>
<td>u64</td>
<td>Each bit in fw_caps indicating one FW/SOC capability</td>
</tr>
</tbody>
</table>
</p>
</div>
</div>
<div class="section" id="tisci-msg-dm-version">
<h2>TISCI_MSG_DM_VERSION<a class="headerlink" href="#tisci-msg-dm-version" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id16">
<h3>Objective<a class="headerlink" href="#id16" title="Permalink to this headline">¶</a></h3>
<p>Retrieve the version of the currently running DM firmware.</p>
</div>
<div class="section" id="id17">
<h3>Usage<a class="headerlink" href="#id17" title="Permalink to this headline">¶</a></h3>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Normal</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>No</td>
</tr>
</tbody>
</table>
<p>This retrieves several pieces of information about the version of
DM firmware that is loaded and running.</p>
<div class="admonition note">
<p class="first admonition-title">Note</p>
<p class="last">This message is only supported for devices having DM as a seperate entity. This can
be checked by querying firmware capabilities using TISCI_MSG_QUERY_FW_CAPS to confirm
whether <strong>DM split mode</strong> capability is present or not.</p>
</div>
</div>
<div class="section" id="id18">
<h3>TISCI Message ID<a class="headerlink" href="#id18" title="Permalink to this headline">¶</a></h3>
<p><code class="docutils literal"><span class="pre">TISCI_MSG_DM_VERSION</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x000FU)</span></code></p>
</div>
<div class="section" id="id19">
<h3>Message Data Structures<a class="headerlink" href="#id19" title="Permalink to this headline">¶</a></h3>
<p><p><strong>struct tisci_msg_dm_version_req</strong></p>
<p>Notification message to get DM version.</p>
<table border="1" class="docutils">
<colgroup>
<col width="27%" />
<col width="43%" />
<col width="31%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>TISCI header</td>
</tr>
</tbody>
</table>
<p>Although this message is essentially empty and contains only a header
 a full data structure is created for consistency in implementation.</p>
</p>
<p><p><strong>struct tisci_msg_dm_version_resp</strong></p>
<p>TISCI_MSG_DM_VERSION response struct to provide version info about currently running DM firmware.</p>
<table border="1" class="docutils">
<colgroup>
<col width="21%" />
<col width="24%" />
<col width="55%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>TISCI header.</td>
</tr>
<tr class="row-odd"><td>version</td>
<td>u16</td>
<td>Version number of the firmware.</td>
</tr>
<tr class="row-even"><td>sub_version</td>
<td>u8</td>
<td>Sub-version number of the firmware.</td>
</tr>
<tr class="row-odd"><td>patch_version</td>
<td>u8</td>
<td>Patch-version number of the firmware.</td>
</tr>
<tr class="row-even"><td>abi_major</td>
<td>u8</td>
<td>Major version number of ABI in use by firmware.</td>
</tr>
<tr class="row-odd"><td>abi_minor</td>
<td>u8</td>
<td>Minor version number of ABI in use by firmware.</td>
</tr>
<tr class="row-even"><td>rm_pm_hal_version</td>
<td>char</td>
<td>Human readable rm_pm_hal version string.</td>
</tr>
<tr class="row-odd"><td>sciserver_version</td>
<td>char</td>
<td>Human readable Sciserver version string.</td>
</tr>
</tbody>
</table>
</p>
</div>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="boot_mode_writer.html" class="btn btn-neutral float-right" title="Boot Mode Fuse Writer TISCI Description" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="TISCI_header.html" class="btn btn-neutral" title="Texas Instruments System Controller Interface (TISCI)" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
      <a href="http://www.ti.com/corp/docs/legal/copyright.shtml">&copy; Copyright 2016-2025</a>, Texas Instruments Incorporated. All rights reserved. <br>
      <a href="http://www.ti.com/corp/docs/legal/trademark/trademrk.htm">Trademarks</a> | <a href="http://www.ti.com/corp/docs/legal/privacy.shtml">Privacy policy</a> | <a href="http://www.ti.com/corp/docs/legal/termsofuse.shtml">Terms of use</a> | <a href="http://www.ti.com/lsds/ti/legal/termsofsale.page">Terms of sale</a>

    </p>
  </div> 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'11.00.04',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

    <script src="http://www.ti.com/assets/js/headerfooter/analytics.js" type="text/javascript" charset="utf-8"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
        });

      var menuHeight = window.innerHeight;

      var contentOffset = $(".wy-nav-content-wrap").offset();
      var contentHeight = $(".wy-nav-content-wrap").height();
      var contentBottom = contentOffset.top + contentHeight;

      function setNavbarTop() {
          var scrollTop = $(window).scrollTop();
          var maxTop = scrollTop + menuHeight;

          // If past the header
          if (scrollTop > contentOffset.top && maxTop < contentBottom) {
            stickyTop = scrollTop - contentOffset.top;
          } else if (maxTop > contentBottom) {
            stickyTop = scrollTop - contentOffset.top - (maxTop - contentBottom);
          } else {
            stickyTop = 0;
          }

          $(".wy-nav-side").css("top", stickyTop);
      }

      $(document).ready(function() {
        setNavbarTop();
        $(window).scroll(function () {
          setNavbarTop();
        });

        $('body').on("mousewheel", function () {
            // Remove default behavior
            event.preventDefault();
            // Scroll without smoothing
            var wheelDelta = event.wheelDelta;
            var currentScrollPosition = window.pageYOffset;
            window.scrollTo(0, currentScrollPosition - wheelDelta);
        });
      });
  </script>
   

</body>
</html>